import sqlalchemy as sa

from src.migrations import Base


class User(Base):
    __tablename__ = 'users'
    ID = sa.Column(sa.Integer(), primary_key=True, index=True, nullable=False, autoincrement=True)
    name = sa.Column(sa.String(), nullable=False, unique=True)
