import random
import socket
import time

from src.settings import settings

if __name__ == "__main__":
    postgres_connected = "FAILED"
    while True:
        try:
            with socket.socket(socket.AF_INET, socket.SOCK_STREAM) as sock:
                sock.connect((settings.postgres_host, settings.postgres_port))
                print("[  OK  ] Connect to postgres")
                break
        except socket.error:
            print(f"[FAILED] Connect to postgres")
            time.sleep(0.5 + (random.randint(0, 100) / 1000))
